Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::AlreadyRegistered Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::AlreadyRegistered:

[legend]
Collaboration diagram for ImplementationRepository::AlreadyRegistered:

[legend]
List of all members.

## Public Methods
| AlreadyRegistered (void)
| AlreadyRegistered (const AlreadyRegistered &)
| ~AlreadyRegistered (void)
AlreadyRegistered & | operator= (const AlreadyRegistered &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
AlreadyRegistered * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

ImplementationRepository::AlreadyRegistered::AlreadyRegistered | ( | void |  | ) |

ImplementationRepository::AlreadyRegistered::AlreadyRegistered | ( | const AlreadyRegistered & |  | ) |

ImplementationRepository::AlreadyRegistered::~AlreadyRegistered | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * ImplementationRepository::AlreadyRegistered::_alloc | ( | void |  | ) | `[static]`

ImplementationRepository::AlreadyRegistered * ImplementationRepository::AlreadyRegistered::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void ImplementationRepository::AlreadyRegistered::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void ImplementationRepository::AlreadyRegistered::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

virtual void ImplementationRepository::AlreadyRegistered::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * ImplementationRepository::AlreadyRegistered::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

virtual void ImplementationRepository::AlreadyRegistered::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr ImplementationRepository::AlreadyRegistered::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

AlreadyRegistered& ImplementationRepository::AlreadyRegistered::operator= | ( | const AlreadyRegistered & |  | ) |

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp